Node('bridge.psi.ch',
     'ac resistance bridge',
     'tcp://5000',
     )

Mod('io',
    'frappy_psi.bridge.BridgeIO',
    'communication to sim900',
    uri='serial:///dev/cu.usbserial-14340',
    )

Mod('res1',
    'frappy_psi.bridge.Resistance',
    'module communication',
    io='io',
    port=1,
    )

Mod('res2',
    'frappy_psi.bridge.Resistance',
    'module communication',
    io='io',
    port=3,
    )

Mod('res3',
    'frappy_psi.bridge.Resistance',
    'module communication',
    io='io',
    port=5,
    )

Mod('phase1',
    'frappy_psi.bridge.Phase',
    'module communication',
    resistance='res1',
    )

Mod('phase2',
    'frappy_psi.bridge.Phase',
    'module communication',
    resistance='res2',
    )

Mod('phase3',
    'frappy_psi.bridge.Phase',
    'module communication',
    resistance='res3',
    )

Mod('dev1',
    'frappy_psi.bridge.Deviation',
    'module communication',
    resistance='res1',
    )

Mod('dev2',
    'frappy_psi.bridge.Deviation',
    'module communication',
    resistance='res1',
    )

Mod('dev3',
    'frappy_psi.bridge.Deviation',
    'module communication',
    resistance='res3',
    )
